/****************************************************************************
 Template header file for Hierarchical Sate Machines AKA StateCharts

 ****************************************************************************/

#ifndef SMTemplate_H
#define SMTemplate_H

// Event Definitions
#include "SMEvents.h"

// State definitions for use with the query function
typedef enum { CookingState, NotCookingState } SMTemplateState ;

// Public Function Prototypes

unsigned char RunTemplateSM( unsigned char CurrentEvent );
void StartTemplateSM ( void );
unsigned char QueryTemplateSM ( void );

#endif /*SMTemplate_H */

